# `wxGridCellBoolRenderer`
[🔗](https://github.com/erlang/otp/blob/OTP-28.5/lib/wx/src/gen/wxGridCellBoolRenderer.erl#L58)

This class may be used to format boolean data in a cell.

See:
* `m:wxGridCellRenderer`

* `m:wxGridCellFloatRenderer`

* `m:wxGridCellNumberRenderer`

* `m:wxGridCellStringRenderer`

This class is derived, and can use functions, from:

* `m:wxGridCellRenderer`

wxWidgets docs: [wxGridCellBoolRenderer](https://docs.wxwidgets.org/3.2/classwx_grid_cell_bool_renderer.html)

# `wxGridCellBoolRenderer`

```elixir
-type wxGridCellBoolRenderer() :: wx:wx_object().
```

# `destroy`

```elixir
-spec destroy(This :: wxGridCellBoolRenderer()) -> ok.
```

Destroys the object

# `new`

```elixir
-spec new() -> wxGridCellBoolRenderer().
```

---

*Consult [api-reference.md](api-reference.md) for complete listing*
